<?php 
add_filter( 'cmb_meta_boxes', 'cmb_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function cmb_sample_metaboxes( array $meta_boxes ) {
    global $textdomain;

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_cmb_';
	
	$meta_boxes[] = array(
		'id'         => 'post_options',
		'title'      => 'Post Options',
		'pages'      => array('post'), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		'fields'     => array(
           
			
			
			array(
                'name' => 'oembed URL for post format video',
                'desc' => 'Set Intro video',
                'id'   => $prefix . 'intro_video',
                'type'    => 'oembed',
                
            ),
			
		),
	);
	
	$meta_boxes[] = array(
        'id'         => 'page_setting',
        'title'      => 'Page Setting',
        'pages'      => array('page'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(
           
           
			array(
				'name'         => esc_html__( 'Heading Background', 'housebuild' ),
				'desc'         => esc_html__( 'Upload or add multiple images/attachments.', 'housebuild' ),
				'id'           => $prefix . 'breadcrumb_bg',
				'type'         => 'file',
				'preview_size' => array( 200, 100 ), // Default: array( 50, 50 )
			),
        )
    );
	
	// Add other metaboxes as needed
	$meta_boxes['user_edit'] = array(
		'id'         => 'user_edit',
		'title'      => esc_html__( 'User Profile Metabox', 'housebuild' ),
		'pages'      => array( 'user' ), // Tells CMB to use user_meta vs post_meta
		'show_names' => true,
		'cmb_styles' => false, // Show cmb bundled styles.. not needed on user profile page
		'fields'     => array(
			array(
				'name'    => esc_html__( 'Avatar', 'housebuild' ),
				'desc'    => esc_html__( 'field description (optional)', 'housebuild' ),
				'id'      => $prefix . 'avatar',
				'type'    => 'file',
				'save_id' => true,
			),
			
			array(
				'name'     => esc_html__( 'Job', 'housebuild' ),
				'desc'     => esc_html__( 'Your Job (optional)', 'housebuild' ),
				'id'       => $prefix . 'user_Job',
				'type'     => 'text',
				'on_front' => false,
			),
		)
	);
	return $meta_boxes;
}
