<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<head>
	
	<meta charset="utf-8">

	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<?php if(get_theme_mod('favicon')!=''){ ?>
	<!-- favion -->
	  <link rel="shortcut icon" type="image/x-icon" href="<?php echo get_theme_mod('favicon'); ?>">
	<?php } ?>
	<?php if(get_theme_mod('appleicon')!=''){ ?>
	  <!-- apple touch icon -->
	  <link rel="apple-touch-icon" href="<?php echo get_theme_mod('appleicon'); ?>">
	<?php } ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	
	<!-- Container -->
	<div id="container">
		<!-- Header
		    ================================================== -->
		<header class="clearfix">
			<nav class="navbar navbar-default <?php if(get_theme_mod('boxed')=='yes'){ ?> navbar-static-top<?php }else{ ?> navbar-fixed-top<?php }?>" role="navigation">
				<div class="top-line">
					<div class="container">
						<div class="row">
							<div class="col-md-6">
								<p>
									<span><i class="fa fa-phone"></i><?php echo get_theme_mod('phone'); ?></span>
									<span><i class="fa fa-envelope-o"></i><?php echo get_theme_mod('mail'); ?></span>
								</p>
							</div>	
							<div class="col-md-6">
								<ul class="social-icons">
									<li><a class="facebook" href="<?php echo get_theme_mod('facebook'); ?>"><i class="fa fa-facebook"></i></a></li>
									<li><a class="twitter" href="<?php echo get_theme_mod('twitter'); ?>"><i class="fa fa-twitter"></i></a></li>
									<li><a class="google" href="<?php echo get_theme_mod('google'); ?>"><i class="fa fa-google-plus"></i></a></li>
									<li><a class="linkedin" href="<?php echo get_theme_mod('linkedin'); ?>"><i class="fa fa-linkedin"></i></a></li>
									<li><a class="pinterest" href="<?php echo get_theme_mod('pinterest'); ?>"><i class="fa fa-pinterest"></i></a></li>
								</ul>
							</div>	
						</div>
					</div>
				</div>
				<div class="container">
					<!-- Brand and toggle get grouped for better mobile display -->
					<div class="navbar-header">
						<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
							<span class="sr-only">Toggle navigation</span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
						</button>
						<?php 
						$bousebuild_logo = get_theme_mod('image_upload_logo');
						if($bousebuild_logo!=''){
							$logo = $bousebuild_logo;
						}else{
							$logo = get_template_directory_uri().'/images/logo.png';
						}
					?>
						<a href="<?php echo esc_url(home_url()); ?>" class="logo-area" title="<?php bloginfo('name'); ?>"><img width="173" height="30" src="<?php echo esc_attr($logo); ?>" alt="<?php bloginfo('description');?>"></a>
						
					</div>

					<!-- Collect the nav links, forms, and other content for toggling -->
					<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
						<ul class="nav navbar-nav navbar-right">
							<li class="search drop"><a href="#" class="open-search"><i class="fa fa-search"></i></a>
								<form class="form-search" role="search" method="get"  action="<?php echo home_url( '/' )  ?>">
									<input type="search" placeholder="Search..." value="<?php echo get_search_query() ?>" name="s" id="s" />
										<input type="hidden" name="post_type" value="post">
									<button type="submit">
										<i class="fa fa-search"></i>
									</button>
								</form>
							</li>
						</ul>
						<?php
						$defaults1= array(
								'theme_location'  => 'primary',
								'menu'            => '',
								'container'       => '',
								'container_class' => '',
								'container_id'    => '',
								'menu_class'      => 'nav navbar-nav navbar-right',
								'menu_id'         => '',
								'echo'            => true,
								 'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
								 'walker'            => new wp_bootstrap_navwalker(),
								'before'          => '',
								'after'           => '',
								'link_before'     => '',
								'link_after'      => '',
								'items_wrap'      => '<ul data-breakpoint="800" id="%1$s" class="%2$s">%3$s</ul>',
								'depth'           => 0,
							);
							if ( has_nav_menu( 'primary' ) ) {
								wp_nav_menu( $defaults1 );
							}
						?>
						
					</div><!-- /.navbar-collapse -->
				</div><!-- /.container-fluid -->
			</nav>
		</header>
		<!-- End Header -->