<?php 
/*
*Template Name: Portfolio 4Col
*/
?>
<?php get_header(); ?>
		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section" <?php global $wp_query; if(get_post_meta($wp_query->get_queried_object_id(), "_cmb_breadcrumb_bg", true)!=''){?> style="background-image: url(<?php echo get_post_meta($wp_query->get_queried_object_id(), "_cmb_breadcrumb_bg", true); ?>);"  <?php } ?>>
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php single_post_title(); ?></h2>
					</div>
					<div class="col-md-6">
						<?php housebuild_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->

		<!-- projects-page section 
			================================================== -->
		<section class="projects-page-section">
			<div class="container">
				<ul class="filter">
					<?php $portfolio_skills = get_terms('portfolio_category'); ?>
					
					<li><a class="active" href="#" data-filter="*"><?php esc_html_e('Show All','housebuild'); ?></a></li>
					<?php foreach($portfolio_skills as $portfolio_skill) { ?>
					<li><a href="#" data-filter=".<?php echo esc_attr($portfolio_skill->slug); ?>"><?php echo esc_html($portfolio_skill->name); ?></a></li>
					<?php } ?>
				</ul>
				<div class="project-box iso-call">
					<?php 
						if(is_front_page()) {
							$paged = (get_query_var('page')) ? get_query_var('page') : 1;
						} else {
							$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
						}
						$args = array(
							'post_type' => 'portfolio',
							'posts_per_page' =>12,
							'paged' => $paged,
						);
						$query = new WP_Query($args);
					?>
					 <?php 
					if($query->have_posts()) :
									while($query->have_posts()) : $query->the_post(); 
					?>
					<?php
						$item_classes = '';
						$item_skill = '';
						$item_cats = get_the_terms(get_the_ID(), 'portfolio_category');
						foreach((array)$item_cats as $item_cat){
							if(count($item_cat)>0){
								$item_classes .= $item_cat->slug . ' ';
								$item_skill .= $item_cat->name . ' | ';
							}
						}
					?>
					<div class="project-post <?php echo esc_attr($item_classes);?>">
						<?php the_post_thumbnail(); ?>
						<div class="hover-box">
							<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
							<span><?php $skill = get_the_term_list( get_the_ID(), 'portfolio_category', ' ', ', ', '' ); ?> <?php echo do_shortcode($skill); ?></span>
						</div>
					</div>
					<?php endwhile; endif;?>
				</div>
				<?php housebuild_pagination($prev = 'Prev', $next = 'Next', $pages=$query->max_num_pages); ?>
			</div>
		</section>
		<!-- End projects-page section -->
<?php get_footer(); ?>