<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;
?>

<?php
$col = wc_get_loop_prop( 'columns' );
$columns = 12/$col;

?>
<div <?php wc_product_class( 'col-md-'.$columns); ?>>
	<div class="shop-post">
		<div class="shop-gal">
			<?php if(has_post_thumbnail()){  ?>
				<?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
			<?php }else{ ?>
			<img src="http://placehold.it/500x500" alt="<?php the_title(); ?>">
			<?php } ?>
			<?php if ( $product->is_on_sale() ) : ?>
			<span class="sale-product"><?php esc_html_e('Sale','housebuild'); ?></span>
			<?php endif; ?>
			<?php
				//$WC_nb = new WC_nb();
				//$WC_nb->woocommerce_show_product_loop_new_badge(); 
				$postdate 		= get_the_time( 'Y-m-d' );			// Post date
				$postdatestamp 	= strtotime( $postdate );			// Timestamped post date
				$newness 		= '60'; 	// Newness in days as defined by option

				if ( ( time() - ( 60 * 60 * 24 * $newness ) ) < $postdatestamp ) {
			?>
			<span class="new-product"><?php esc_html_e('New','housebuild'); ?></span>
			<?php } ?>
			<div class="hover-shop">
				<div class="inner-hover">
					<?php
						$handler = apply_filters( 'woocommerce_add_to_cart_handler', $product->product_type, $product );
						switch ( $handler ) {
						case "variable" :
							$add_cart = get_permalink();
						break;
						case "grouped" :
							$add_cart = get_permalink();
						break;
						case "external" :
							 $add_cart = get_permalink();
						break;
						default :
							if ( $product->is_purchasable() ) {
								 $add_cart = esc_url( $product->add_to_cart_url() );
							} else {
								 $add_cart = get_permalink();
							}
						break;
					}
					?>
					<a class="add-to-cart add_to_cart_button  product_type_<?php echo esc_attr($product->product_type); ?>"" href="<?php echo esc_attr($add_cart); ?>" rel="nofollow" data-product_id="<?php the_ID(); ?>" data-product_sku="<?php echo esc_attr($product->get_sku()); ?>"><?php esc_html_e('Add to Cart', 'housebuild'); ?></a>
					<div class="clearfix"></div>
					<a class="details-link" href="<?php the_permalink(); ?>" title="<?php the_title();?>"><?php esc_html_e('Details','housebuild'); ?></a>
				</div>
			</div>
		</div>
		<h2><a href="<?php the_permalink(); ?>" title="<?php the_title();?>"><?php the_title(); ?></a></h2>
		<div class="prd-bot">
			<?php echo do_shortcode($product->get_price_html()); ?>
			<?php
			if ( get_option('woocommerce_enable_review_rating') == 'yes' ) {
			$average = $product->get_average_rating();
			?>
			
			<ul class="rating">
				<li><i class="star-off"></i></li>
				<li><i class="star-on" style="width: <?php echo (( $average / 5 ) * 100);?>%;"></i></li>
			</ul>
			<?php } ?>
		</div>
	</div>
</div>
